ur_rna.RNAstructure.backend

## Class structure

- java.lang.Object
- - ur_rna.RNAstructure.backend.structure

-     public class structure
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `swigCMemOwn`
    `private long` | `swigCPtr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `structure()`
    `` | `structure(int structures)`
    `protected` | `structure(long cPtr, boolean cMemoryOwn)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `AddDouble(int i)`
    `void` | `AddForbiddenPair(int i, int j)`
    `void` | `AddGUPair(int i)`
    `void` | `AddModified(int i)`
    `void` | `AddPair(int i, int j)`
    `void` | `AddSingle(int i)`
    `void` | `AddStructure()`
    `void` | `allocateconstant()`
    `void` | `AllocateSHAPE()`
    `void` | `allocatetem()`
    `void` | `BreakPseudoknots(int structurenumber)`
    `void` | `CleanStructure(int structurenumber)`
    `int` | `ctout(java.lang.String ctoutfile)`
    `void` | `delete()`
    `void` | `DeleteSHAPE()`
    `boolean` | `DistanceLimited()`
    `protected void` | `finalize()`
    `void` | `FindPseudoknots(int structurenumber)`
    `void` | `FindPseudoknots(int structurenumber, CIntVector pseudoknotPairs)`
    `void` | `FindPseudoknots(int structurenumber, CIntVector pseudoknotPairs, CIntVector normalPairs)`
    `int` | `GetBase(int i)`
    `protected static long` | `getCPtr(structure obj)`
    `java.lang.String` | `GetCtLabel(int structurenumber)`
    `int` | `GetDouble(int i)`
    `int` | `GetEnergy(int structurenumber)`
    `java.lang.String` | `GetErrorDetails()`
    `int` | `GetForbiddenPair3(int i)`
    `int` | `GetForbiddenPair5(int i)`
    `int` | `GetGUpair(int i)`
    `static double` | `getKT()`
    `int` | `GetModified(int i)`
    `int` | `GetNumberofDoubles()`
    `int` | `GetNumberofForbiddenPairs()`
    `int` | `GetNumberofGU()`
    `int` | `GetNumberofModified()`
    `int` | `GetNumberofPairs()`
    `int` | `GetNumberofSingles()`
    `int` | `GetNumberofStructures()`
    `int` | `GetPair(int i)`
    `int` | `GetPair(int i, int structurenumber)`
    `int` | `GetPair3(int i)`
    `int` | `GetPair5(int i)`
    `int` | `GetPairingDistanceLimit()`
    `void` | `GetPseudoknotRanks(CIntVector results)`
    `void` | `GetPseudoknotRanks(CIntVector results, int structurenumber)`
    `java.lang.String` | `GetSequence()`
    `java.lang.String` | `GetSequenceLabel()`
    `int` | `GetSequenceLength()`
    `boolean` | `getSHAPEFileRead()`
    `static int` | `getShowWarnings()`
    `int` | `GetSingle(int i)`
    `static boolean` | `getSumShapeRepeats()`
    `datatable` | `GetThermodynamicDataTable()`
    `boolean` | `HasPseudoknots()`
    `boolean` | `HasPseudoknots(int structurenumber)`
    `boolean` | `IsAlphabetLoaded()`
    `boolean` | `IsNuc(int i, char c)`
    `boolean` | `IsNuc(int i, char c, datatable data)`
    `boolean` | `IsThermoDataLoaded()`
    `int` | `openct(java.lang.String ctfile)`
    `int` | `opendbn(java.lang.String bracketFile)`
    `int` | `openseq(java.lang.String seqfile)`
    `int` | `openseqx(java.lang.String seqfile)`
    `boolean` | `ProblemwithStructures()`
    `int` | `ReadExperimentalPairBonus(java.lang.String filename)`
    `int` | `ReadExperimentalPairBonus(java.lang.String filename, double experimentalOffset)`
    `int` | `ReadExperimentalPairBonus(java.lang.String filename, double experimentalOffset, double experimentalScaling)`
    `int` | `ReadOffset(java.lang.String SSOffset, java.lang.String DSOffset)`
    `int` | `ReadSHAPE(java.lang.String filename)`
    `int` | `ReadSHAPE(java.lang.String filename, float SingleStrandThreshold, float ModificationThreshold)`
    `int` | `ReadSHAPE(java.lang.String filename, RestraintType modifier)`
    `int` | `ReadSHAPE(java.lang.String filename, RestraintType modifier, boolean calculatePseudoEnergies)`
    `void` | `RemoveAllStructures()`
    `void` | `RemoveConstraints()`
    `void` | `RemoveEnergyLabels()`
    `void` | `RemoveEnergyLabels(java.lang.String customLabel)`
    `void` | `RemoveLastStructure()`
    `void` | `RemovePair(int i)`
    `void` | `RemovePair(int i, int structurenumber)`
    `void` | `RemoveStructure(int structurenumber)`
    `void` | `SetCtLabel(java.lang.String label, int structurenumber)`
    `void` | `SetEnergy(int structurenumber, int energy)`
    `void` | `SetPair(int i, int j)`
    `void` | `SetPair(int i, int j, int structurenumber)`
    `void` | `SetPairingDistance(int maxdistance)`
    `int` | `SetSequence(java.lang.String sequence)`
    `void` | `SetSequenceLabel(java.lang.String label)`
    `void` | `setSHAPEFileRead(boolean value)`
    `static void` | `setShowWarnings(int value)`
    `static void` | `setSumShapeRepeats(boolean value)`
    `void` | `SetThermodynamicDataTable(datatable DataTablePointer)`
    `void` | `sort()`
    `int` | `writedotbracket(java.lang.String filename)`
    `int` | `writedotbracket(java.lang.String filename, int structurenumber)`
    `int` | `writedotbracket(java.lang.String filename, int structurenumber, DotBracketFormat format)`
    `int` | `writeseq(java.lang.String seqfile)`
    `int` | `writeseq(java.lang.String seqfile, int seqFileType)`
    `int` | `writeseq(java.lang.String seqfile, int seqFileType, boolean append)`
    `int` | `WriteSHAPE(java.lang.String outfile)`
    `int` | `WriteSHAPE(java.lang.String outfile, boolean printHeaders)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCMemOwn

          protected transient boolean swigCMemOwn

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### structure

          public structure()

    - #### structure

          public structure(int structures)

    - #### structure

          protected structure(long cPtr,
                              boolean cMemoryOwn)

  - ### Method Detail

    - #### AddDouble

          public void AddDouble(int i)

    - #### AddForbiddenPair

          public void AddForbiddenPair(int i,
                                       int j)

    - #### AddGUPair

          public void AddGUPair(int i)

    - #### AddModified

          public void AddModified(int i)

    - #### AddPair

          public void AddPair(int i,
                              int j)

    - #### AddSingle

          public void AddSingle(int i)

    - #### AddStructure

          public void AddStructure()

    - #### allocateconstant

          public void allocateconstant()

    - #### AllocateSHAPE

          public void AllocateSHAPE()

    - #### allocatetem

          public void allocatetem()

    - #### BreakPseudoknots

          public void BreakPseudoknots(int structurenumber)

    - #### CleanStructure

          public void CleanStructure(int structurenumber)

    - #### ctout

          public int ctout(java.lang.String ctoutfile)

    - #### delete

          public void delete()

    - #### DeleteSHAPE

          public void DeleteSHAPE()

    - #### DistanceLimited

          public boolean DistanceLimited()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### FindPseudoknots

          public void FindPseudoknots(int structurenumber)

    - #### FindPseudoknots

          public void FindPseudoknots(int structurenumber,
                                      CIntVector pseudoknotPairs)

    - #### FindPseudoknots

          public void FindPseudoknots(int structurenumber,
                                      CIntVector pseudoknotPairs,
                                      CIntVector normalPairs)

    - #### GetBase

          public int GetBase(int i)

    - #### getCPtr

          protected static long getCPtr(structure obj)

    - #### GetCtLabel

          public java.lang.String GetCtLabel(int structurenumber)

    - #### GetDouble

          public int GetDouble(int i)

    - #### GetEnergy

          public int GetEnergy(int structurenumber)

    - #### GetErrorDetails

          public java.lang.String GetErrorDetails()

    - #### GetForbiddenPair3

          public int GetForbiddenPair3(int i)

    - #### GetForbiddenPair5

          public int GetForbiddenPair5(int i)

    - #### GetGUpair

          public int GetGUpair(int i)

    - #### getKT

          public static double getKT()

    - #### GetModified

          public int GetModified(int i)

    - #### GetNumberofDoubles

          public int GetNumberofDoubles()

    - #### GetNumberofForbiddenPairs

          public int GetNumberofForbiddenPairs()

    - #### GetNumberofGU

          public int GetNumberofGU()

    - #### GetNumberofModified

          public int GetNumberofModified()

    - #### GetNumberofPairs

          public int GetNumberofPairs()

    - #### GetNumberofSingles

          public int GetNumberofSingles()

    - #### GetNumberofStructures

          public int GetNumberofStructures()

    - #### GetPair

          public int GetPair(int i)

    - #### GetPair

          public int GetPair(int i,
                             int structurenumber)

    - #### GetPair3

          public int GetPair3(int i)

    - #### GetPair5

          public int GetPair5(int i)

    - #### GetPairingDistanceLimit

          public int GetPairingDistanceLimit()

    - #### GetPseudoknotRanks

          public void GetPseudoknotRanks(CIntVector results)

    - #### GetPseudoknotRanks

          public void GetPseudoknotRanks(CIntVector results,
                                         int structurenumber)

    - #### GetSequence

          public java.lang.String GetSequence()

    - #### GetSequenceLabel

          public java.lang.String GetSequenceLabel()

    - #### GetSequenceLength

          public int GetSequenceLength()

    - #### getSHAPEFileRead

          public boolean getSHAPEFileRead()

    - #### getShowWarnings

          public static int getShowWarnings()

    - #### GetSingle

          public int GetSingle(int i)

    - #### getSumShapeRepeats

          public static boolean getSumShapeRepeats()

    - #### GetThermodynamicDataTable

          public datatable GetThermodynamicDataTable()

    - #### HasPseudoknots

          public boolean HasPseudoknots()

    - #### HasPseudoknots

          public boolean HasPseudoknots(int structurenumber)

    - #### IsAlphabetLoaded

          public boolean IsAlphabetLoaded()

    - #### IsNuc

          public boolean IsNuc(int i,
                               char c)

    - #### IsNuc

          public boolean IsNuc(int i,
                               char c,
                               datatable data)

    - #### IsThermoDataLoaded

          public boolean IsThermoDataLoaded()

    - #### openct

          public int openct(java.lang.String ctfile)

    - #### opendbn

          public int opendbn(java.lang.String bracketFile)

    - #### openseq

          public int openseq(java.lang.String seqfile)

    - #### openseqx

          public int openseqx(java.lang.String seqfile)

    - #### ProblemwithStructures

          public boolean ProblemwithStructures()

    - #### ReadExperimentalPairBonus

          public int ReadExperimentalPairBonus(java.lang.String filename)

    - #### ReadExperimentalPairBonus

          public int ReadExperimentalPairBonus(java.lang.String filename,
                                               double experimentalOffset)

    - #### ReadExperimentalPairBonus

          public int ReadExperimentalPairBonus(java.lang.String filename,
                                               double experimentalOffset,
                                               double experimentalScaling)

    - #### ReadOffset

          public int ReadOffset(java.lang.String SSOffset,
                                java.lang.String DSOffset)

    - #### ReadSHAPE

          public int ReadSHAPE(java.lang.String filename)

    - #### ReadSHAPE

          public int ReadSHAPE(java.lang.String filename,
                               float SingleStrandThreshold,
                               float ModificationThreshold)

    - #### ReadSHAPE

          public int ReadSHAPE(java.lang.String filename,
                               RestraintType modifier)

    - #### ReadSHAPE

          public int ReadSHAPE(java.lang.String filename,
                               RestraintType modifier,
                               boolean calculatePseudoEnergies)

    - #### RemoveAllStructures

          public void RemoveAllStructures()

    - #### RemoveConstraints

          public void RemoveConstraints()

    - #### RemoveEnergyLabels

          public void RemoveEnergyLabels()

    - #### RemoveEnergyLabels

          public void RemoveEnergyLabels(java.lang.String customLabel)

    - #### RemoveLastStructure

          public void RemoveLastStructure()

    - #### RemovePair

          public void RemovePair(int i)

    - #### RemovePair

          public void RemovePair(int i,
                                 int structurenumber)

    - #### RemoveStructure

          public void RemoveStructure(int structurenumber)

    - #### SetCtLabel

          public void SetCtLabel(java.lang.String label,
                                 int structurenumber)

    - #### SetEnergy

          public void SetEnergy(int structurenumber,
                                int energy)

    - #### SetPair

          public void SetPair(int i,
                              int j)

    - #### SetPair

          public void SetPair(int i,
                              int j,
                              int structurenumber)

    - #### SetPairingDistance

          public void SetPairingDistance(int maxdistance)

    - #### SetSequence

          public int SetSequence(java.lang.String sequence)

    - #### SetSequenceLabel

          public void SetSequenceLabel(java.lang.String label)

    - #### setSHAPEFileRead

          public void setSHAPEFileRead(boolean value)

    - #### setShowWarnings

          public static void setShowWarnings(int value)

    - #### setSumShapeRepeats

          public static void setSumShapeRepeats(boolean value)

    - #### SetThermodynamicDataTable

          public void SetThermodynamicDataTable(datatable DataTablePointer)

    - #### sort

          public void sort()

    - #### writedotbracket

          public int writedotbracket(java.lang.String filename)

    - #### writedotbracket

          public int writedotbracket(java.lang.String filename,
                                     int structurenumber)

    - #### writedotbracket

          public int writedotbracket(java.lang.String filename,
                                     int structurenumber,
                                     DotBracketFormat format)

    - #### writeseq

          public int writeseq(java.lang.String seqfile)

    - #### writeseq

          public int writeseq(java.lang.String seqfile,
                              int seqFileType)

    - #### writeseq

          public int writeseq(java.lang.String seqfile,
                              int seqFileType,
                              boolean append)

    - #### WriteSHAPE

          public int WriteSHAPE(java.lang.String outfile)

    - #### WriteSHAPE

          public int WriteSHAPE(java.lang.String outfile,
                                boolean printHeaders)